<?php

//	eto__sql_pg_test_2.php 20151003   (c) Copyright 2015  A.S.Petrie. All rights 	reserved.
//
//	Test functions in <eto__sql_pg_ssi_0.php>:
//    etoSQLdbOpen(...)
//    etoSQLdbClose(...)

//	Option settings, variables and common functions.
require '../eto_php/eto__abend_ssi_0.php';
require '../eto_php/eto__sql_ssi_0.php';
require '../eto_php/eto_session_ssi_0.php';

// Initialize globals ...
   $sys_script_id   = 'eto__sql_pg_test_2.php';
   $sys_start_time  = gettimeofday(true);
   $sys_log_details = 'eto__sql_pg_test_2_log_details';
// ... Initialize globals.

//
// Test results ...
  $tst_diag = "\n";
  $tst_diag .= ( "##eto__sql_pg_test_2.php(#0)##  " );

  $tst_diag .= ( 'Yi<'       . Yi . '>**  ' );

  $tst_diag .= "\n";
  echo htmlspecialchars($tst_diag, ENT_QUOTES);
// ... Test results.
//

  $tst_ret_val = etoSQLdbOpen(1, ABEND_EXIT, ABEND_NOROLLBACK); // Abend 0+ -- etoSQLdbOpen() failed.

//
// Test results ...
  $tst_diag = "\n";
  $tst_diag .= ( "##eto__sql_pg_test_2.php(#1)##  " );

  $tst_diag .= ( 'etoSQLdbOpen(...)<' . "$tst_ret_val" . '>**  ' );

  $tst_diag .= "\n";
  echo htmlspecialchars($tst_diag, ENT_QUOTES);
// ... Test results.
//

  etoSQLdbClose((1+Yi), ABEND_EXIT, ABEND_NOROLLBACK); //Abend (0+X0)+ -- etoSQLdbClose() failed.
// etoSQLdbClose(0+Yi); //Abend (0+X0)+ -- etoSQLdbClose() failed.

//
// Test results ...
  $tst_diag = "\n";
  $tst_diag .= ( "##eto__sql_pg_test_2.php(#9)##\n" );
  
  echo htmlspecialchars($tst_diag, ENT_QUOTES);
// ... Test results.
//

exit(0);

//	... Mainline.

// Functions ...

function eto__sql_pg_test_2_log_details()
{
   global $sys_log_line_end;

   return
   (
     '##eto__sql_pg_test_2_log_details()<' . "$sys_log_line_end"
      .
      etoSQLgetStatusVars() . "$sys_log_line_end"
      .
      etoSQLgetRowBuf_session_www()
      .
      '>'
   );
}

// ... Functions.

?>